Show / Hide Table of Contents

# AsyncInitializePotentialDragTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncInitializePotentialDragTrigger : AsyncTriggerBase<PointerEventData>, IUniTaskAsyncEnumerable<PointerEventData>, IInitializePotentialDragHandler

##### Inheritance

System.Object → AsyncTriggerBase<PointerEventData> → AsyncInitializePotentialDragTrigger

##### Implements

IUniTaskAsyncEnumerable<PointerEventData>
IInitializePotentialDragHandler

### Members

#### Methods

Name | Description
--- | ---
GetOnInitializePotentialDragAsyncHandler() |
GetOnInitializePotentialDragAsyncHandler(CancellationToken) |
OnInitializePotentialDragAsync() |
OnInitializePotentialDragAsync(CancellationToken) |

### Methods

#### GetOnInitializePotentialDragAsyncHandler()

    public IAsyncOnInitializePotentialDragHandler GetOnInitializePotentialDragAsyncHandler()

##### Returns

IAsyncOnInitializePotentialDragHandler

#### GetOnInitializePotentialDragAsyncHandler(CancellationToken)

    public IAsyncOnInitializePotentialDragHandler GetOnInitializePotentialDragAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnInitializePotentialDragHandler

#### OnInitializePotentialDragAsync()

    public UniTask<PointerEventData> OnInitializePotentialDragAsync()

##### Returns

UniTask<PointerEventData>

#### OnInitializePotentialDragAsync(CancellationToken)

    public UniTask<PointerEventData> OnInitializePotentialDragAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask<PointerEventData>

### Implements

IUniTaskAsyncEnumerable<T>
IInitializePotentialDragHandler